## org.apache.tools.ant.taskdefs
Class Tar.TarCompressionMethod

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          org.apache.tools.ant.taskdefs.Tar.TarCompressionMethod

Enclosing class:
  Tar

    public static final class Tar.TarCompressionMethod

extends EnumeratedAttribute

Valid Modes for Compression attribute to Tar Task

Field Summary

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`Tar.TarCompressionMethod()` Default constructor

Method Summary
`java.lang.String[]` `getValues()` Get valid enumeration values.

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Tar.TarCompressionMethod

    public Tar.TarCompressionMethod()

  Default constructor

Method Detail

### getValues

    public java.lang.String[] getValues()

  Get valid enumeration values.

  Specified by:
    `getValues` in class `EnumeratedAttribute`
  Returns:
    valid enumeration values